"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DescriptionsStyleWarp = exports.DescriptionsStyleTheme = exports.DescriptionsStyleTableTbody = exports.DescriptionsStyleTableRow = exports.DescriptionsStyleTableCaption = exports.DescriptionsStyleTable = exports.DescriptionsStyleItem = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _utils = require("@uiw/utils");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9, _templateObject10, _templateObject11, _templateObject12, _templateObject13, _templateObject14, _templateObject15, _templateObject16, _templateObject17;
/** Descriptions 主题变量**/
var DescriptionsStyleTheme = {
  borderColorDescriptions: '#dfe2e5',
  fontSizeSmall: '12px',
  fontSizeDefault: '14px',
  fontSizeLarge: '16px',
  backgroundColorBase: '#fff',
  borderColorDescriptionsTh: '#fafafa',
  colorDescriptionsHead: 'rgba(0, 0, 0, 0.85)',
  colorDescriptionsConent: 'rgba(0, 0, 0, 0.65)',
  colorDescriptionsColon: 'rgba(0, 0, 0, 0.95)'
};
exports.DescriptionsStyleTheme = DescriptionsStyleTheme;
var propsTheme = {
  defaultTheme: (0, _objectSpread2["default"])({}, DescriptionsStyleTheme)
};
var DescriptionsStyleWarp = _styledComponents["default"].div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2["default"])(["\n  background: ", ";\n  ", "\n"])), function (props) {
  return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'backgroundColorBase');
}, function (props) {
  return props.bordered && (0, _styledComponents.css)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2["default"])(["\n      & {\n        overflow: hidden;\n        border-radius: 3px;\n        border: 1px solid ", ";\n      }\n    "])), function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'borderColorDescriptions');
  });
});
exports.DescriptionsStyleWarp = DescriptionsStyleWarp;
var DescriptionsStyleItem = _styledComponents["default"].th(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2["default"])(["\n  ", "\n\n  ", "\n      ", "\n    ", "\n"])), function (props) {
  return props.isLabel && (0, _styledComponents.css)(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2["default"])(["\n      & {\n        font-size: 14px;\n        font-weight: normal;\n        &::after {\n          position: relative;\n          top: -0.5px;\n          margin: 0 8px 0 2px;\n          content: ' ';\n        }\n      }\n    "])));
}, function (props) {
  return props.isColon && (0, _styledComponents.css)(_templateObject5 || (_templateObject5 = (0, _taggedTemplateLiteral2["default"])(["\n      &::after {\n        content: ':';\n      }\n      & {\n        color: ", ";\n      }\n    "])), function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'colorDescriptionsColon');
  });
}, function (props) {
  return props.isContent && (0, _styledComponents.css)(_templateObject6 || (_templateObject6 = (0, _taggedTemplateLiteral2["default"])(["\n      & {\n        font-size: ", ";\n        color: ", ";\n      }\n    "])), function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'fontSizeDefault');
  }, function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'colorDescriptionsConent');
  });
}, function (props) {
  return props.bordered && (props.isContent || props.isLabel) && (0, _styledComponents.css)(_templateObject7 || (_templateObject7 = (0, _taggedTemplateLiteral2["default"])(["\n      &&:last-child {\n        border-right: none;\n      }\n    "])));
});
exports.DescriptionsStyleItem = DescriptionsStyleItem;
var DescriptionsStyleTable = _styledComponents["default"].table(_templateObject8 || (_templateObject8 = (0, _taggedTemplateLiteral2["default"])(["\n  display: table !important;\n  margin-bottom: 0 !important;\n  margin: 0;\n  border-spacing: 0;\n  border-collapse: collapse;\n  table-layout: fixed;\n  width: 100%;\n"])));
exports.DescriptionsStyleTable = DescriptionsStyleTable;
var DescriptionsStyleTableCaption = _styledComponents["default"].caption(_templateObject9 || (_templateObject9 = (0, _taggedTemplateLiteral2["default"])(["\n  font-weight: bold;\n  text-align: left;\n  margin-bottom: 8px;\n  color: ", ";\n  font-size: ", ";\n  line-height: 1.5;\n  ", "\n"])), function (props) {
  return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'colorDescriptionsHead');
}, function (props) {
  return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'fontSizeLarge');
}, function (props) {
  return props.bordered && (0, _styledComponents.css)(_templateObject10 || (_templateObject10 = (0, _taggedTemplateLiteral2["default"])(["\n      & {\n        margin-bottom: 0;\n        padding: 7px 12px;\n      }\n    "])));
});
exports.DescriptionsStyleTableCaption = DescriptionsStyleTableCaption;
var DescriptionsStyleTableRow = _styledComponents["default"].tr(_templateObject11 || (_templateObject11 = (0, _taggedTemplateLiteral2["default"])(["\n  &&:nth-child(2n) {\n    background-color: transparent;\n  }\n  ", "\n  ", "\n"])), function (props) {
  return props.bordered && (0, _styledComponents.css)(_templateObject12 || (_templateObject12 = (0, _taggedTemplateLiteral2["default"])(["\n      & td {\n        padding: 8px 12px;\n      }\n    "])));
}, function (props) {
  return !props.bordered && (0, _styledComponents.css)(_templateObject13 || (_templateObject13 = (0, _taggedTemplateLiteral2["default"])(["\n      & td {\n        padding-bottom: 8px;\n      }\n    "])));
});
exports.DescriptionsStyleTableRow = DescriptionsStyleTableRow;
var DescriptionsStyleTableTbody = _styledComponents["default"].tbody(_templateObject14 || (_templateObject14 = (0, _taggedTemplateLiteral2["default"])(["\n  word-wrap: break-word;\n  ", "\n  ", "\n  ", "\n"])), function (props) {
  return props.bordered && (0, _styledComponents.css)(_templateObject15 || (_templateObject15 = (0, _taggedTemplateLiteral2["default"])(["\n      & {\n        tr th {\n          padding: 8px 12px;\n          background-color: ", ";\n          font-weight: normal;\n        }\n        tr th,\n        tr td {\n          border-top: 1px solid\n            ", ";\n          border-right: 1px solid\n            ", ";\n        }\n        &:first-child tr:first-child th,\n        &:first-child tr:first-child td {\n          border-top: 0;\n        }\n      }\n    "])), function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'borderColorDescriptionsTh');
  }, function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'borderColorDescriptions');
  }, function (props) {
    return (0, _utils.getThemeVariantValue)((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), propsTheme), 'borderColorDescriptions');
  });
}, function (props) {
  return props.size === 'small' && props.bordered && (0, _styledComponents.css)(_templateObject16 || (_templateObject16 = (0, _taggedTemplateLiteral2["default"])(["\n      & ", " td,\n      & ", " th {\n        padding: 4px 8px;\n      }\n    "])), DescriptionsStyleTableRow, DescriptionsStyleTableRow);
}, function (props) {
  return props.size === 'large' && props.bordered && (0, _styledComponents.css)(_templateObject17 || (_templateObject17 = (0, _taggedTemplateLiteral2["default"])(["\n      & ", " ", " {\n        padding: 14px 16px;\n      }\n    "])), DescriptionsStyleTableRow, DescriptionsStyleItem);
});
exports.DescriptionsStyleTableTbody = DescriptionsStyleTableTbody;
//# sourceMappingURL=index.js.map